searchNodes=[{"doc":"A Req plugin for GraphQL, designed for Absinthe . AbsintheClient makes it easy to perform GraphQL operations. It supports JSON encoded POST requests for queries and mutations and Absinthe subscriptions over Phoenix Channels (WebSocket).","ref":"AbsintheClient.html","title":"AbsintheClient","type":"module"},{"doc":"Attaches to Req request. Options Request options: :graphql - Required. The GraphQL operation to execute. It can be a string or a {query, variables} tuple, where variables is a map of input values to be sent with the document. The document must contain only a single GraphQL operation. WebSocket options: :web_socket - Optional. The name of a WebSocket process to perform the operation, usually started by AbsintheClient.WebSocket.connect/1 . Refer to the Subscriptions section for more information. :receive_timeout - Optional. The maximum time (in milliseconds) to wait for the WebSocket server to reply. The default value is 15_000 . :async - Optional. When set to true , AbsintheClient will return the Response without waiting for a reply from the WebSocket server. This option only applies when the :web_socket option is present. The response body will be a reference() and you will need to receive the AbsintheClient.WebSocket.Reply message. The default value is false . :connect_params - Optional. Custom params to be sent when the WebSocket connects. Defaults to sending the bearer Authorization token if one is present on the request. The default value is nil . If you want to set any of these options when attaching the plugin, pass them as the second argument. Examples Performing a query operation: iex&gt; req = Req . new ( base_url : &quot;https://rickandmortyapi.com&quot; ) |&gt; AbsintheClient . attach ( ) iex&gt; Req . post! ( req , ...&gt; graphql : &quot;&quot;&quot; ...&gt; query { ...&gt; character(id: 1) { ...&gt; name ...&gt; location { name } ...&gt; } ...&gt; } ...&gt; &quot;&quot;&quot; ...&gt; ) . body [ &quot;data&quot; ] %{ &quot;character&quot; =&gt; %{ &quot;name&quot; =&gt; &quot;Rick Sanchez&quot; , &quot;location&quot; =&gt; %{ &quot;name&quot; =&gt; &quot;Citadel of Ricks&quot; } } } Performing a query operation with variables: iex&gt; req = Req . new ( base_url : &quot;https://rickandmortyapi.com&quot; ) |&gt; AbsintheClient . attach ( ) iex&gt; Req . post! ( req , ...&gt; graphql : { ...&gt; &quot;&quot;&quot; ...&gt; query ($name: String!) { ...&gt; characters(filter: {name: $name}) { ...&gt; results { ...&gt; name ...&gt; } ...&gt; } ...&gt; } ...&gt; &quot;&quot;&quot; , ...&gt; %{ name : &quot;Cronenberg&quot; } ...&gt; } ...&gt; ) . body [ &quot;data&quot; ] %{ &quot;characters&quot; =&gt; %{ &quot;results&quot; =&gt; [ %{ &quot;name&quot; =&gt; &quot;Cronenberg Rick&quot; } , %{ &quot;name&quot; =&gt; &quot;Cronenberg Morty&quot; } ] } } Performing a mutation operation and overriding the default path: iex&gt; req = Req . new ( base_url : &quot;https://graphqlzero.almansi.me&quot; ) |&gt; AbsintheClient . attach ( ) iex&gt; Req . post! ( ...&gt; req , ...&gt; url : &quot;/api&quot; , ...&gt; graphql : { ...&gt; &quot;&quot;&quot; ...&gt; mutation ($input: CreatePostInput!) { ...&gt; createPost(input: $input) { ...&gt; body ...&gt; title ...&gt; } ...&gt; } ...&gt; &quot;&quot;&quot; , ...&gt; %{ ...&gt; &quot;input&quot; =&gt; %{ ...&gt; &quot;title&quot; =&gt; &quot;My New Post&quot; , ...&gt; &quot;body&quot; =&gt; &quot;This is the post body.&quot; ...&gt; } ...&gt; } ...&gt; } ...&gt; ) . body [ &quot;data&quot; ] %{ &quot;createPost&quot; =&gt; %{ &quot;body&quot; =&gt; &quot;This is the post body.&quot; , &quot;title&quot; =&gt; &quot;My New Post&quot; } } Subscriptions GraphQL subscriptions are long-running, stateful operations that can change their result over time. Clients connect to the server via the WebSocket protocol and the server will periodically push updates to the client when their subscription data changes. Absinthe required! AbsintheClient works with servers running Absinthe subscriptions over Phoenix Channels. Performing a subscription operation: iex&gt; req = Req . new ( base_url : &quot;http://localhost:4002&quot; ) |&gt; AbsintheClient . attach ( ) iex&gt; ws = req |&gt; AbsintheClient.WebSocket . connect! ( ) iex&gt; Req . request! ( req , ...&gt; web_socket : ws , ...&gt; graphql : { ...&gt; &quot;&quot;&quot; ...&gt; subscription ($repository: Repository!) { ...&gt; repoCommentSubscribe(repository: $repository) { ...&gt; id ...&gt; commentary ...&gt; } ...&gt; } ...&gt; &quot;&quot;&quot; , ...&gt; %{ &quot;repository&quot; =&gt; &quot;ELIXIR&quot; } ...&gt; } ...&gt; ) . body . __struct__ AbsintheClient.Subscription Performing an asynchronous subscription operation and awaiting the reply: iex&gt; req = Req . new ( base_url : &quot;http://localhost:4002&quot; ) |&gt; AbsintheClient . attach ( ) iex&gt; ws = req |&gt; AbsintheClient.WebSocket . connect! ( ) iex&gt; res = Req . request! ( req , ...&gt; web_socket : ws , ...&gt; async : true , ...&gt; graphql : { ...&gt; &quot;&quot;&quot; ...&gt; subscription ($repository: Repository!) { ...&gt; repoCommentSubscribe(repository: $repository) { ...&gt; id ...&gt; commentary ...&gt; } ...&gt; } ...&gt; &quot;&quot;&quot; , ...&gt; %{ &quot;repository&quot; =&gt; &quot;ELIXIR&quot; } ...&gt; } ...&gt; ) iex&gt; AbsintheClient.WebSocket . await_reply! ( res ) . payload . __struct__ AbsintheClient.Subscription Authorization via the request :auth option: iex&gt; req = Req . new ( base_url : &quot;http://localhost:4002/&quot; , auth : { :bearer , &quot;valid-token&quot; } ) |&gt; AbsintheClient . attach ( ) iex&gt; ws = req |&gt; AbsintheClient.WebSocket . connect! ( url : &quot;/auth-socket/websocket&quot; ) iex&gt; res = Req . request! ( req , ...&gt; web_socket : ws , ...&gt; async : true , ...&gt; graphql : { ...&gt; &quot;&quot;&quot; ...&gt; subscription ($repository: Repository!) { ...&gt; repoCommentSubscribe(repository: $repository) { ...&gt; id ...&gt; commentary ...&gt; } ...&gt; } ...&gt; &quot;&quot;&quot; , ...&gt; %{ &quot;repository&quot; =&gt; &quot;ELIXIR&quot; } ...&gt; } ...&gt; ) iex&gt; AbsintheClient.WebSocket . await_reply! ( res ) . payload . __struct__ AbsintheClient.Subscription Custom authorization via :connect_params map literal: iex&gt; req = ...&gt; Req . new ( base_url : &quot;http://localhost:4002/&quot; ) ...&gt; |&gt; AbsintheClient . attach ( connect_params : %{ &quot;token&quot; =&gt; &quot;valid-token&quot; } ) iex&gt; ws = req |&gt; AbsintheClient.WebSocket . connect! ( url : &quot;/auth-socket/websocket&quot; ) iex&gt; res = Req . request! ( req , ...&gt; web_socket : ws , ...&gt; async : true , ...&gt; graphql : { ...&gt; &quot;&quot;&quot; ...&gt; subscription ($repository: Repository!) { ...&gt; repoCommentSubscribe(repository: $repository) { ...&gt; id ...&gt; commentary ...&gt; } ...&gt; } ...&gt; &quot;&quot;&quot; , ...&gt; %{ &quot;repository&quot; =&gt; &quot;ELIXIR&quot; } ...&gt; } ...&gt; ) iex&gt; AbsintheClient.WebSocket . await_reply! ( res ) . payload . __struct__ AbsintheClient.Subscription Failed authorization replies will timeout: iex&gt; req = ...&gt; Req . new ( base_url : &quot;http://localhost:4002/&quot; , auth : { :bearer , &quot;invalid-token&quot; } ) ...&gt; |&gt; AbsintheClient . attach ( retry : :never ) iex&gt; ws = req |&gt; AbsintheClient.WebSocket . connect! ( url : &quot;/auth-socket/websocket&quot; ) iex&gt; res = Req . request! ( req , ...&gt; web_socket : ws , ...&gt; async : true , ...&gt; graphql : { ...&gt; &quot;&quot;&quot; ...&gt; subscription ($repository: Repository!) { ...&gt; repoCommentSubscribe(repository: $repository) { ...&gt; id ...&gt; commentary ...&gt; } ...&gt; } ...&gt; &quot;&quot;&quot; , ...&gt; %{ &quot;repository&quot; =&gt; &quot;ELIXIR&quot; } ...&gt; } ...&gt; ) iex&gt; AbsintheClient.WebSocket . await_reply! ( res ) . payload . __struct__ ** (RuntimeError) timeout Subscription data Results will be sent to the caller as WebSocket.Message structs. In a GenServer for instance, you would implement a handle_info/2 callback: @impl GenServer def handle_info ( % AbsintheClient.WebSocket.Message { event : &quot;subscription:data&quot; , payload : payload } , state ) do case payload [ &quot;result&quot; ] do %{ &quot;errors&quot; =&gt; errors } -&gt; raise &quot;Received result with errors, got: \#{ inspect ( result [ &quot;errors&quot; ] ) } &quot; %{ &quot;data&quot; =&gt; data } -&gt; text = get_in ( result , ~w(data repoCommentSubscribe commentary) ) IO . puts ( &quot;Received a new comment: \#{ text } &quot; ) end { :noreply , state } end","ref":"AbsintheClient.html#attach/2","title":"AbsintheClient.attach/2","type":"function"},{"doc":"Req adapter for Absinthe subscriptions. The WebSocket does the following: Pushes documents to the GraphQL server and forwards replies to the callers. Manages any subscriptions received, including automatically re-subscribing in the event of a connection loss. Under the hood, WebSocket connections are Slipstream socket processes which are usually managed by an internal AbsintheClient supervisor. Examples Performing a query operation over a WebSocket: iex&gt; req = Req . new ( base_url : &quot;http://localhost:4002&quot; ) |&gt; AbsintheClient . attach ( ) iex&gt; ws = req |&gt; AbsintheClient.WebSocket . connect! ( ) iex&gt; Req . request! ( req , web_socket : ws , graphql : ~S|{ __type(name: &quot;Repo&quot;) { name } }| ) . body [ &quot;data&quot; ] %{ &quot;__type&quot; =&gt; %{ &quot;name&quot; =&gt; &quot;Repo&quot; } } Performing an async query operation and awaiting the reply: iex&gt; req = Req . new ( base_url : &quot;http://localhost:4002&quot; ) |&gt; AbsintheClient . attach ( ) iex&gt; ws = req |&gt; AbsintheClient.WebSocket . connect! ( ) iex&gt; reply = ...&gt; req ...&gt; |&gt; Req . request! ( web_socket : ws , async : true , graphql : ~S|{ __type(name: &quot;Repo&quot;) { name } }| ) ...&gt; |&gt; AbsintheClient.WebSocket . await_reply! ( ) iex&gt; reply . payload [ &quot;data&quot; ] %{ &quot;__type&quot; =&gt; %{ &quot;name&quot; =&gt; &quot;Repo&quot; } } Handling messages Results will be sent to the caller as WebSocket.Message structs. In a GenServer for instance, you would implement a handle_info/2 callback: def handle_info ( % AbsintheClient.WebSocket.Message { payload : payload } , state ) do # code... { :noreply , state } end","ref":"AbsintheClient.WebSocket.html","title":"AbsintheClient.WebSocket","type":"module"},{"doc":"Awaits the server's response to a pushed document or raises an error. Examples iex&gt; req = Req . new ( base_url : &quot;http://localhost:4002&quot; ) |&gt; AbsintheClient . attach ( async : true ) iex&gt; ws = req |&gt; AbsintheClient.WebSocket . connect! ( ) iex&gt; res = Req . post! ( req , web_socket : ws , graphql : ~S|{ __type(name: &quot;Repo&quot;) { name } }| ) iex&gt; AbsintheClient.WebSocket . await_reply! ( res ) . payload [ &quot;data&quot; ] %{ &quot;__type&quot; =&gt; %{ &quot;name&quot; =&gt; &quot;Repo&quot; } }","ref":"AbsintheClient.WebSocket.html#await_reply!/2","title":"AbsintheClient.WebSocket.await_reply!/2","type":"function"},{"doc":"Awaits the server's response to a pushed document. Examples iex&gt; req = Req . new ( base_url : &quot;http://localhost:4002&quot; ) |&gt; AbsintheClient . attach ( async : true ) iex&gt; { :ok , ws } = AbsintheClient.WebSocket . connect ( req ) iex&gt; { :ok , res } = Req . request ( req , web_socket : ws , graphql : ~S|{ __type(name: &quot;Repo&quot;) { name } }| ) iex&gt; { :ok , reply } = AbsintheClient.WebSocket . await_reply ( res ) iex&gt; reply . payload [ &quot;data&quot; ] %{ &quot;__type&quot; =&gt; %{ &quot;name&quot; =&gt; &quot;Repo&quot; } }","ref":"AbsintheClient.WebSocket.html#await_reply/2","title":"AbsintheClient.WebSocket.await_reply/2","type":"function"},{"doc":"Same as connect/1 but raises on error. Examples From a request: iex&gt; ws = Req . new ( base_url : &quot;http://localhost:4002&quot; ) |&gt; AbsintheClient.WebSocket . connect! ( ) iex&gt; ws |&gt; GenServer . whereis ( ) |&gt; Process . alive? ( ) true From keyword options: iex&gt; ws = AbsintheClient.WebSocket . connect! ( url : &quot;ws://localhost:4002/socket/websocket&quot; ) iex&gt; ws |&gt; GenServer . whereis ( ) |&gt; Process . alive? ( ) true","ref":"AbsintheClient.WebSocket.html#connect!/1","title":"AbsintheClient.WebSocket.connect!/1","type":"function"},{"doc":"Same as connect/2 but raises on error. Examples iex&gt; ws = ...&gt; Req . new ( base_url : &quot;http://localhost:4002&quot; ) ...&gt; |&gt; AbsintheClient.WebSocket . connect! ( url : &quot;/socket/websocket&quot; ) iex&gt; ws |&gt; GenServer . whereis ( ) |&gt; Process . alive? ( ) true","ref":"AbsintheClient.WebSocket.html#connect!/2","title":"AbsintheClient.WebSocket.connect!/2","type":"function"},{"doc":"Dynamically starts (or re-uses already started) AbsintheWs process with the given options: :url - URL where to make the WebSocket connection. When provided as an option to connect/2 the request's base_url will be prepended to this path. The default value is &quot;/socket/websocket&quot; . :headers - list of headers to send on the initial HTTP request. Defaults to [] . :connect_options - list of options given to Mint.HTTP.connect/4 for the initial HTTP request: :timeout - socket connect timeout in milliseconds, defaults to 30_000 . :connect_params - Optional. Custom params to be sent when the WebSocket connects. Defaults to sending the bearer Authorization token if one is present on the request. The default value is nil . :parent - pid of the process starting the connection. The socket monitors this process and shuts down when the parent process exits. Defaults to self() . Note that when connect/2 returns successfully, it indicates that the WebSocket process has started. The process must then connect to the GraphQL server and join the relevant topic(s) before it can send and receive messages. Examples From a request: iex&gt; req = Req . new ( base_url : &quot;http://localhost:4002&quot; ) |&gt; AbsintheClient . attach ( ) iex&gt; { :ok , ws } = req |&gt; AbsintheClient.WebSocket . connect ( ) iex&gt; ws |&gt; GenServer . whereis ( ) |&gt; Process . alive? ( ) true From keyword options: iex&gt; { :ok , ws } = AbsintheClient.WebSocket . connect ( url : &quot;ws://localhost:4002/socket/websocket&quot; ) iex&gt; ws |&gt; GenServer . whereis ( ) |&gt; Process . alive? ( ) true","ref":"AbsintheClient.WebSocket.html#connect/1","title":"AbsintheClient.WebSocket.connect/1","type":"function"},{"doc":"Connects to an Absinthe WebSocket. Refer to connect/1 for more information. Examples With the default URL path: iex&gt; req = Req . new ( base_url : &quot;http://localhost:4002&quot; ) |&gt; AbsintheClient . attach ( ) iex&gt; { :ok , ws } = req |&gt; AbsintheClient.WebSocket . connect ( ) iex&gt; ws |&gt; GenServer . whereis ( ) |&gt; Process . alive? ( ) true With a custom URL path: iex&gt; req = Req . new ( base_url : &quot;http://localhost:4002&quot; ) |&gt; AbsintheClient . attach ( ) iex&gt; { :ok , ws } = req |&gt; AbsintheClient.WebSocket . connect ( url : &quot;/socket/websocket&quot; ) iex&gt; ws |&gt; GenServer . whereis ( ) |&gt; Process . alive? ( ) true","ref":"AbsintheClient.WebSocket.html#connect/2","title":"AbsintheClient.WebSocket.connect/2","type":"function"},{"doc":"Pushes a query to the server via the given socket . Examples iex&gt; { :ok , req } = AbsintheClient.WebSocket . connect ( url : &quot;ws://localhost:4002/socket/websocket&quot; ) iex&gt; ref = AbsintheClient.WebSocket . push ( req , ~S|{ __type(name: &quot;Repo&quot;) { name } }| ) iex&gt; AbsintheClient.WebSocket . await_reply! ( ref ) . payload [ &quot;data&quot; ] %{ &quot;__type&quot; =&gt; %{ &quot;name&quot; =&gt; &quot;Repo&quot; } }","ref":"AbsintheClient.WebSocket.html#push/2","title":"AbsintheClient.WebSocket.push/2","type":"function"},{"doc":"Performs a GraphQL operation. Examples iex&gt; req = Req . new ( base_url : &quot;http://localhost:4002&quot; ) |&gt; AbsintheClient . attach ( ) iex&gt; ws = req |&gt; AbsintheClient.WebSocket . connect! ( ) iex&gt; Req . request! ( req , web_socket : ws , graphql : ~S|{ __type(name: &quot;Repo&quot;) { name } }| ) . body [ &quot;data&quot; ] %{ &quot;__type&quot; =&gt; %{ &quot;name&quot; =&gt; &quot;Repo&quot; } }","ref":"AbsintheClient.WebSocket.html#run/1","title":"AbsintheClient.WebSocket.run/1","type":"function"},{"doc":"","ref":"AbsintheClient.WebSocket.html#t:graphql/0","title":"AbsintheClient.WebSocket.graphql/0","type":"type"},{"doc":"","ref":"AbsintheClient.WebSocket.html#t:web_socket/0","title":"AbsintheClient.WebSocket.web_socket/0","type":"type"},{"doc":"Structure returned when a subscription is created.","ref":"AbsintheClient.Subscription.html","title":"AbsintheClient.Subscription","type":"module"},{"doc":"","ref":"AbsintheClient.Subscription.html#t:t/0","title":"AbsintheClient.Subscription.t/0","type":"type"},{"doc":"Message sent from the server to the client. The message format requires the following keys: :topic - The string topic. :event - The string event name, for example &quot;subscription:data&quot; . :payload - The message payload. :ref - A unique term defined by the user when pushing or nil if none was provided. :push_ref - The unique ref when pushing.","ref":"AbsintheClient.WebSocket.Message.html","title":"AbsintheClient.WebSocket.Message","type":"module"},{"doc":"","ref":"AbsintheClient.WebSocket.Message.html#t:t/0","title":"AbsintheClient.WebSocket.Message.t/0","type":"type"},{"doc":"Reply sent from GraphQL servers to clients in response to a pushed document. The message format requires the following keys: :event - The string event name that was pushed, for example &quot;doc&quot; . :status - The reply status as an atom. :payload - The reply payload. :ref - A unique term defined by the user when pushing or nil if none was provided. :push_ref - The unique ref ref when pushing.","ref":"AbsintheClient.WebSocket.Reply.html","title":"AbsintheClient.WebSocket.Reply","type":"module"},{"doc":"","ref":"AbsintheClient.WebSocket.Reply.html#t:t/0","title":"AbsintheClient.WebSocket.Reply.t/0","type":"type"},{"doc":"A GraphQL client designed for Elixir Absinthe .","ref":"readme.html","title":"AbsintheClient","type":"extras"},{"doc":"Performs query and mutation operations via JSON POST requests. Performs subscription operations over WebSockets ( Absinthe Phoenix ). Automatically re-establishes subscriptions on socket disconnect/reconnect. Supports virtually all Req.request/1 options, notably: Bearer authentication (via the auth step). Retries on errors (via the retry step).","ref":"readme.html#features","title":"AbsintheClient - Features","type":"extras"},{"doc":"The fastest way to use AbsintheClient is with Mix.install/2 (requires Elixir v1.12+): Mix . install ( [ { :absinthe_client , &quot;~&gt; 0.1.0&quot; } ] ) Req . new ( base_url : &quot;https://rickandmortyapi.com&quot; ) |&gt; AbsintheClient . attach ( ) |&gt; Req . post! ( graphql : &quot;query { character(id: 1) { name } }&quot; ) . body #=&gt; %{&quot;data&quot; =&gt; &quot;character&quot; =&gt; %{&quot;name&quot; =&gt; &quot;Rick Sanchez&quot;}}} If you want to use AbsintheClient in a Mix project, you can add the above dependency to your list of dependencies in mix.exs . AbsintheClient is intended to be used by building a common client struct with a base_url and re-using it on each operation: base_url = &quot;https://rickandmortyapi.com&quot; req = Req . new ( base_url : base_url ) |&gt; AbsintheClient . attach ( ) Req . post! ( req , graphql : &quot;query { character(id: 2) { name } }&quot; ) . body #=&gt; %{&quot;data&quot; =&gt; &quot;character&quot; =&gt; %{&quot;name&quot; =&gt; &quot;Morty Smith&quot;}}} Refer to AbsintheClient for more information on available options. Subscriptions (WebSockets) AbsintheClient supports WebSocket operations via a custom Req adapter. You must first start the WebSocket connection, then you make the request with Req.request/2 : base_url = &quot;https://my-absinthe-server&quot; req = Req . new ( base_url : base_url ) |&gt; AbsintheClient . attach ( ) ws = AbsintheClient.WebSocket . connect! ( req , url : &quot;/socket/websocket&quot; ) Req . request! ( req , web_socket : ws , graphql : &quot;subscription ...&quot; ) . body #=&gt; %AbsintheClient.WebSocket.Subscription{} Note that although AbsintheClient can use the :web_socket option to execute all GraphQL operation types, in most cases it should continue to use HTTP for queries and mutations. This is because queries and mutations do not require a stateful or long-lived connection and depending on the number of concurrent requests it may be more efficient to avoid blocking the socket for those operations. Refer to AbsintheClient.attach/2 for more information on handling subscriptions. Authentication AbsintheClient supports Bearer authentication for HTTP and WebSocket operations: base_url = &quot;https://my-absinthe-server&quot; auth = { :bearer , &quot;token&quot; } req = Req . new ( base_url : base_url , auth : auth ) |&gt; AbsintheClient . attach ( ) # ?Authentication=Bearer+token will be sent on the connect request. ws = AbsintheClient.WebSocket . connect ( req , url : &quot;/socket/websocket&quot; ) If you use your client to authenticate then you can set :auth by merging options: base_url = &quot;https://my-absinthe-server&quot; req = Req . new ( base_url : base_url ) |&gt; AbsintheClient . attach ( ) doc = &quot;mutation { login($input) { token } }&quot; graphql = { doc , %{ user : &quot;root&quot; , password : &quot;&quot; } } token = Req . post! ( req , graphql : graphql ) . body [ &quot;data&quot; ] [ &quot;login&quot; ] [ &quot;token&quot; ] req = Req.Request . merge_options ( req , auth : { :bearer , token } )","ref":"readme.html#usage","title":"AbsintheClient - Usage","type":"extras"},{"doc":"There is another popular GraphQL library for Elixir called Neuron . So why choose AbsintheClient? In short, you might use AbsintheClient if you need Absinthe Phoenix subscription support, if you want to avoid global configuration, and if you want to declaratively build your requests. For comparison: AbsintheClient Neuron HTTP Req , Finch HTTPoison , hackney WebSockets Slipstream , Mint.WebSocket n/a Configuration %Req.Request{} Application and Process-based Request style Declarative, builds a struct Imperative, invokes a function","ref":"readme.html#why-absintheclient","title":"AbsintheClient - Why AbsintheClient?","type":"extras"},{"doc":"AbsintheClient is built on top of the Req requests library for HTTP and the Slipstream WebSocket library for Phoenix Channels.","ref":"readme.html#acknowledgements","title":"AbsintheClient - Acknowledgements","type":"extras"},{"doc":"MIT license. Copyright (c) 2019 Michael A. Crumm Jr., Ben Wilson","ref":"readme.html#license","title":"AbsintheClient - License","type":"extras"},{"doc":"","ref":"changelog.html","title":"CHANGELOG","type":"extras"},{"doc":"Initial release","ref":"changelog.html#v0-1-0-2022-10-05","title":"CHANGELOG - v0.1.0 (2022-10-05)","type":"extras"}]